import { O as Options$1, A as AtomsSnapshot } from './types-9156c01b.js';
import { useStore, useAtom } from 'jotai/react';
import { WritableAtom, Atom } from 'jotai/vanilla';

declare function useAtomsSnapshot(options?: Options$1): AtomsSnapshot;

declare function useGotoAtomsSnapshot(options?: Options$1): (snapshot: AtomsSnapshot) => void;

type Options = Parameters<typeof useStore>[0] & {
    enabled?: boolean;
};
declare const useAtomsDebugValue: (options?: Options) => void;

type DevtoolOptions = Parameters<typeof useAtom>[1] & {
    name?: string;
    enabled?: boolean;
};
declare function useAtomDevtools<Value, Result>(anAtom: WritableAtom<Value, [Value], Result> | Atom<Value>, options?: DevtoolOptions): void;

type DevtoolsOptions = Options$1 & {
    enabled?: boolean;
};
declare function useAtomsDevtools(name: string, options?: DevtoolsOptions): void;

export { useAtomDevtools, useAtomsDebugValue, useAtomsDevtools, useAtomsSnapshot, useGotoAtomsSnapshot };
